.TH "mca_pml_base_send_request_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_pml_base_send_request_t \- Base type for send requests.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pml_base_sendreq.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_pml_base_request_t\fP \fBreq_base\fP"
.br
.ti -1c
.RI "ompi_datatype_t * \fBreq_datatype\fP"
.br
.RI "\fIpointer to datatype \fP"
.ti -1c
.RI "void * \fBreq_addr\fP"
.br
.RI "\fIpointer to send buffer - may not be application buffer \fP"
.ti -1c
.RI "size_t \fBreq_count\fP"
.br
.RI "\fInumber of elements in send buffer \fP"
.ti -1c
.RI "size_t \fBreq_bytes_packed\fP"
.br
.RI "\fIpacked size of a message given the datatype and count \fP"
.ti -1c
.RI "mca_pml_base_send_mode_t \fBreq_send_mode\fP"
.br
.RI "\fItype of send \fP"
.ti -1c
.RI "ompi_convertor_t \fBreq_convertor\fP"
.br
.RI "\fIconvertor that describes this datatype \fP"
.in -1c
.SH "Detailed Description"
.PP 
Base type for send requests. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
